FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202110121407.p0.git.dc3817f.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202110121407.p0.git.dc3817f.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=dc3817f3d144954da2c231bbc343473b7832cbc1 KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=18+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.18.0+dc3817f OS_GIT_COMMIT=dc3817f OS_GIT_VERSION=4.8.0-202110121407.p0.git.dc3817f.assembly.stream-dc3817f SOURCE_DATE_EPOCH=1628419233 SOURCE_GIT_COMMIT=dc3817f3d144954da2c231bbc343473b7832cbc1 SOURCE_GIT_TAG=dc3817f3 SOURCE_GIT_URL=https://github.com/openshift/ptp-operator 
WORKDIR /go/src/github.com/openshift/ptp-operator/must-gather
COPY . .

FROM openshift/ose-base:v4.8.0.20211012.143747
ENV __doozer=update BUILD_RELEASE=202110121407.p0.git.dc3817f.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202110121407.p0.git.dc3817f.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=dc3817f3d144954da2c231bbc343473b7832cbc1 KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=18+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.18.0+dc3817f OS_GIT_COMMIT=dc3817f OS_GIT_VERSION=4.8.0-202110121407.p0.git.dc3817f.assembly.stream-dc3817f SOURCE_DATE_EPOCH=1628419233 SOURCE_GIT_COMMIT=dc3817f3d144954da2c231bbc343473b7832cbc1 SOURCE_GIT_TAG=dc3817f3 SOURCE_GIT_URL=https://github.com/openshift/ptp-operator 
COPY --from=builder /go/src/github.com/openshift/ptp-operator/must-gather/collection-scripts/* /usr/bin/
RUN chmod +x /usr/bin/gather

ENTRYPOINT /usr/bin/gather

LABEL \
        io.k8s.display-name="ptp-operator-must-gather" \
        io.k8s.description="This is a PTP must-gather image that collectes PTP operator related resources." \
        name="openshift/ose-ptp-operator-must-gather" \
        com.redhat.component="ptp-operator-must-gather-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="ptp" \
        release="202110121407.p0.git.dc3817f.assembly.stream" \
        io.openshift.build.commit.id="dc3817f3d144954da2c231bbc343473b7832cbc1" \
        io.openshift.build.source-location="https://github.com/openshift/ptp-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/ptp-operator/commit/dc3817f3d144954da2c231bbc343473b7832cbc1" \
        version="v4.8.0"

